Bug 1797454 - Control Plane health shows incorrect status when prometheus cannot be reached
Summary: Control Plane health shows incorrect status when prometheus cannot be reached
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-03 08:23 UTC by Rastislav Wagner
Modified: 2020-05-04 11:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:28:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
Control Plane when prometheus cannot be reached (36.34 KB, image/png)
2020-02-03 08:23 UTC, Rastislav Wagner
no flags Details
Control Plane Status Show Correct Status when prometheus not available (131.81 KB, image/png)
2020-02-05 02:49 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4100 None closed Bug 1797454: Fix Not available state for Control Plane 2020-05-15 13:57:16 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:28:59 UTC

Description Rastislav Wagner 2020-02-03 08:23:16 UTC
Created attachment 1657305 [details]
Control Plane when prometheus cannot be reached

Control Plane health shows Unknown instead of Not Available when prometheus cannot be reached. Popup is also missing any info about various components status.

Comment 2 Yadan Pei 2020-02-05 02:49:32 UTC
Created attachment 1657729 [details]
Control Plane Status Show Correct Status when prometheus not available

Now Control Plane Status show 'Not available' in overall status, for each components it show 'not available' too instead of 'unknown' and empty message

Comment 4 errata-xmlrpc 2020-05-04 11:28:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.